{% extends "base.html" %}
{% load i18n %}

{% block title %}{% trans 'Announcements' %}{% endblock %}

{% block content %}
<div class="container">
    <div class="row card-row">
        <div class="col-12 mx-auto my-auto">
            <div class="card">
                <div class="card-header text-center">
                    <h1>{% trans "Announcements" %}</h1>
                </div>
                <div class="card-body">
                    <table id="jsTable" class="table table-striped nowrap" style="width: 100%;">
                        <thead>
                            <tr>
                                <th scope="col">{% trans "Title" %}</th>
                                <th scope="col">{% trans "Created on" %}</th>
                                <th scope="col">
                                    {% if perms.announcements.manage_announcements %}
                                    <a class="btn btn-sm btn-success"
                                        href="{% url 'news:announcements_create' %}?next={{ request.get_full_path }}" data-toggle="tooltip"
                                        title="{% trans 'Create Announcement' %}">
                                        <i class="fas fa-plus fa-fw"></i>
                                    </a>
                                    {% endif %}
                                </th>
                            </tr>
                        </thead>
                        <tbody>
                            {% for announcement in announcement_list %}
                            <tr>
                                <td style="white-space: normal;">{{ announcement.title }}</td>
                                <td>{{ announcement.created_on }}</td>
                                <td>
                                    <a class="btn btn-sm btn-info" href="{% url 'news:announcements_detail' slug=announcement.slug %}"
                                        data-toggle="tooltip" title="{% trans 'View Announcement' %}">
                                        <i class="fas fa-eye fa-fw"></i>
                                    </a>
                                    {% if perms.announcements.manage_announcements %}
                                    <a class="btn btn-sm btn-warning"
                                        href="{% url 'news:announcements_edit' slug=announcement.slug %}?next={{ request.get_full_path }}"
                                        data-toggle="tooltip" title="{% trans 'Edit Announcement' %}">
                                        <i class="fas fa-pen fa-fw"></i></a>
                                    <a class="btn btn-sm btn-danger"
                                        href="{% url 'news:announcements_delete' slug=announcement.slug %}?next={{ request.get_full_path }}"
                                        data-toggle="tooltip" title="{% trans 'Delete Announcement' %}">
                                        <i class="fas fa-trash fa-fw"></i></a>
                                    {% endif %}
                                </td>
                            </tr>
                            {% endfor %}
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>
{% endblock %}